<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: TIMER Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">TIMER Exported Constants<div class="ingroups"><a class="el" href="../../da/d7c/group___m_i_n_i51___device___driver.html">MINI51 Device Driver</a> &raquo; <a class="el" href="../../d1/d76/group___m_i_n_i51___t_i_m_e_r___driver.html">TIMER Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for TIMER Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ad6_2dad_2group______m__i__n__i51______t__i__m__e__r______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
<map name="ad6_2dad_2group______m__i__n__i51______t__i__m__e__r______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" id="ad6_2dad_2group______m__i__n__i51______t__i__m__e__r______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s">
<area shape="rect" href="../../d1/d76/group___m_i_n_i51___t_i_m_e_r___driver.html" title=" " alt="" coords="5,5,103,31"/>
<area shape="rect" title=" " alt="" coords="151,5,331,31"/>
<area shape="rect" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html" title=" " alt="" coords="379,5,557,31"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">TIMER Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga72feaa98c11709d47e90b45a32677b92"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72feaa98c11709d47e90b45a32677b92">TIMER_ONESHOT_MODE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga72feaa98c11709d47e90b45a32677b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga41103f29e7760dcf1747b06d93e1cc59"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41103f29e7760dcf1747b06d93e1cc59">TIMER_PERIODIC_MODE</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#ab2e1b11af6a0751f2727cb100f55e96d">TIMER_TCSR_MODE_Pos</a>)</td></tr>
<tr class="separator:ga41103f29e7760dcf1747b06d93e1cc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad177f87a38087cb248943f9539af9550"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad177f87a38087cb248943f9539af9550">TIMER_TOGGLE_MODE</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#ab2e1b11af6a0751f2727cb100f55e96d">TIMER_TCSR_MODE_Pos</a>)</td></tr>
<tr class="separator:gad177f87a38087cb248943f9539af9550"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea824dab491cf5c772b2695ac91b4220"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea824dab491cf5c772b2695ac91b4220">TIMER_CONTINUOUS_MODE</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#ab2e1b11af6a0751f2727cb100f55e96d">TIMER_TCSR_MODE_Pos</a>)</td></tr>
<tr class="separator:gaea824dab491cf5c772b2695ac91b4220"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga171c813372b2caafa1aee17b76a0e21e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga171c813372b2caafa1aee17b76a0e21e">TIMER_CAPTURE_FREE_COUNTING_MODE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga171c813372b2caafa1aee17b76a0e21e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b577508c75113be469bb74b979af91e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b577508c75113be469bb74b979af91e">TIMER_CAPTURE_TRIGGER_COUNTING_MODE</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a532a09dac569fa74ed79adae9c022e30">TIMER_TEXCON_CAP_MODE_Msk</a>)</td></tr>
<tr class="separator:ga5b577508c75113be469bb74b979af91e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab10e49633e66d5322d9050a7b2ab6543"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab10e49633e66d5322d9050a7b2ab6543">TIMER_CAPTURE_COUNTER_RESET_MODE</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a00c934ea97e84af7c585846f629620f9">TIMER_TEXCON_RSTCAPSEL_Msk</a>)</td></tr>
<tr class="separator:gab10e49633e66d5322d9050a7b2ab6543"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab928d0fd637d9c0b5472c58c8433fe38"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab928d0fd637d9c0b5472c58c8433fe38">TIMER_CAPTURE_FALLING_EDGE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:gab928d0fd637d9c0b5472c58c8433fe38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf4f88d1b078222b7053a850cec8f5f6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf4f88d1b078222b7053a850cec8f5f6">TIMER_CAPTURE_RISING_EDGE</a>&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a2b7e51fcd13c8e110a73eeed6e13be6c">TIMER_TEXCON_TEX_EDGE_Pos</a>)</td></tr>
<tr class="separator:gabf4f88d1b078222b7053a850cec8f5f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga015b901cc1d26cc790d5fdfd4a4624ca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga015b901cc1d26cc790d5fdfd4a4624ca">TIMER_CAPTURE_FALLING_THEN_RISING_EDGE</a>&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a2b7e51fcd13c8e110a73eeed6e13be6c">TIMER_TEXCON_TEX_EDGE_Pos</a>)</td></tr>
<tr class="separator:ga015b901cc1d26cc790d5fdfd4a4624ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf321dd7ed2d6e6c63bc0a0d9195b623f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf321dd7ed2d6e6c63bc0a0d9195b623f">TIMER_CAPTURE_RISING_THEN_FALLING_EDGE</a>&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a2b7e51fcd13c8e110a73eeed6e13be6c">TIMER_TEXCON_TEX_EDGE_Pos</a>)</td></tr>
<tr class="separator:gaf321dd7ed2d6e6c63bc0a0d9195b623f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2cc45560af8a91021231fff3e8b7d43a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cc45560af8a91021231fff3e8b7d43a">TIMER_COUNTER_RISING_EDGE</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a2df5e24033fa38847f8f8e4a7fc7a696">TIMER_TEXCON_TX_PHASE_Msk</a>)</td></tr>
<tr class="separator:ga2cc45560af8a91021231fff3e8b7d43a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b7b53305f2df523e3e594f38d0d2c2b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7b7b53305f2df523e3e594f38d0d2c2b">TIMER_COUNTER_FALLING_EDGE</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga7b7b53305f2df523e3e594f38d0d2c2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43f417c37fca79aeb734380ec3712a50"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga43f417c37fca79aeb734380ec3712a50">TIMER_TOGGLE_TX</a>&#160;&#160;&#160;(0UL)</td></tr>
<tr class="separator:ga43f417c37fca79aeb734380ec3712a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae21f3d9ee3a03ccebde6fdb92aa9154"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/dad/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae21f3d9ee3a03ccebde6fdb92aa9154">TIMER_TOGGLE_TXEX</a>&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a56f7c00566d5a36fbe157436a714b816">TIMER_TCSR_TOGGLE_PIN_Msk</a>)</td></tr>
<tr class="separator:gaae21f3d9ee3a03ccebde6fdb92aa9154"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gab10e49633e66d5322d9050a7b2ab6543" name="gab10e49633e66d5322d9050a7b2ab6543"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab10e49633e66d5322d9050a7b2ab6543">&#9670;&nbsp;</a></span>TIMER_CAPTURE_COUNTER_RESET_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_COUNTER_RESET_MODE&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a00c934ea97e84af7c585846f629620f9">TIMER_TEXCON_RSTCAPSEL_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Counter reset mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00039">39</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gab928d0fd637d9c0b5472c58c8433fe38" name="gab928d0fd637d9c0b5472c58c8433fe38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab928d0fd637d9c0b5472c58c8433fe38">&#9670;&nbsp;</a></span>TIMER_CAPTURE_FALLING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_FALLING_EDGE&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Falling edge trigger timer capture </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00040">40</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga015b901cc1d26cc790d5fdfd4a4624ca" name="ga015b901cc1d26cc790d5fdfd4a4624ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga015b901cc1d26cc790d5fdfd4a4624ca">&#9670;&nbsp;</a></span>TIMER_CAPTURE_FALLING_THEN_RISING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_FALLING_THEN_RISING_EDGE&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a2b7e51fcd13c8e110a73eeed6e13be6c">TIMER_TEXCON_TEX_EDGE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Falling edge then rising edge trigger timer capture </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00042">42</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga171c813372b2caafa1aee17b76a0e21e" name="ga171c813372b2caafa1aee17b76a0e21e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga171c813372b2caafa1aee17b76a0e21e">&#9670;&nbsp;</a></span>TIMER_CAPTURE_FREE_COUNTING_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_FREE_COUNTING_MODE&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Free counting mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00037">37</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gabf4f88d1b078222b7053a850cec8f5f6" name="gabf4f88d1b078222b7053a850cec8f5f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gabf4f88d1b078222b7053a850cec8f5f6">&#9670;&nbsp;</a></span>TIMER_CAPTURE_RISING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_RISING_EDGE&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a2b7e51fcd13c8e110a73eeed6e13be6c">TIMER_TEXCON_TEX_EDGE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Rising edge trigger timer capture </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00041">41</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gaf321dd7ed2d6e6c63bc0a0d9195b623f" name="gaf321dd7ed2d6e6c63bc0a0d9195b623f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf321dd7ed2d6e6c63bc0a0d9195b623f">&#9670;&nbsp;</a></span>TIMER_CAPTURE_RISING_THEN_FALLING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_RISING_THEN_FALLING_EDGE&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#a2b7e51fcd13c8e110a73eeed6e13be6c">TIMER_TEXCON_TEX_EDGE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Rising edge then falling edge trigger timer capture </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00043">43</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga5b577508c75113be469bb74b979af91e" name="ga5b577508c75113be469bb74b979af91e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5b577508c75113be469bb74b979af91e">&#9670;&nbsp;</a></span>TIMER_CAPTURE_TRIGGER_COUNTING_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CAPTURE_TRIGGER_COUNTING_MODE&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a532a09dac569fa74ed79adae9c022e30">TIMER_TEXCON_CAP_MODE_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Trigger counting mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00038">38</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gaea824dab491cf5c772b2695ac91b4220" name="gaea824dab491cf5c772b2695ac91b4220"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaea824dab491cf5c772b2695ac91b4220">&#9670;&nbsp;</a></span>TIMER_CONTINUOUS_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_CONTINUOUS_MODE&#160;&#160;&#160;(3UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#ab2e1b11af6a0751f2727cb100f55e96d">TIMER_TCSR_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer working in continuous mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00036">36</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga7b7b53305f2df523e3e594f38d0d2c2b" name="ga7b7b53305f2df523e3e594f38d0d2c2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7b7b53305f2df523e3e594f38d0d2c2b">&#9670;&nbsp;</a></span>TIMER_COUNTER_FALLING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_COUNTER_FALLING_EDGE&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Counter increase on falling edge </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00045">45</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga2cc45560af8a91021231fff3e8b7d43a" name="ga2cc45560af8a91021231fff3e8b7d43a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2cc45560af8a91021231fff3e8b7d43a">&#9670;&nbsp;</a></span>TIMER_COUNTER_RISING_EDGE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_COUNTER_RISING_EDGE&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a2df5e24033fa38847f8f8e4a7fc7a696">TIMER_TEXCON_TX_PHASE_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Counter increase on rising edge </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00044">44</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga72feaa98c11709d47e90b45a32677b92" name="ga72feaa98c11709d47e90b45a32677b92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga72feaa98c11709d47e90b45a32677b92">&#9670;&nbsp;</a></span>TIMER_ONESHOT_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_ONESHOT_MODE&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer working in one shot mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00033">33</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga41103f29e7760dcf1747b06d93e1cc59" name="ga41103f29e7760dcf1747b06d93e1cc59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga41103f29e7760dcf1747b06d93e1cc59">&#9670;&nbsp;</a></span>TIMER_PERIODIC_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_PERIODIC_MODE&#160;&#160;&#160;(1UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#ab2e1b11af6a0751f2727cb100f55e96d">TIMER_TCSR_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer working in periodic mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00034">34</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gad177f87a38087cb248943f9539af9550" name="gad177f87a38087cb248943f9539af9550"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad177f87a38087cb248943f9539af9550">&#9670;&nbsp;</a></span>TIMER_TOGGLE_MODE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_TOGGLE_MODE&#160;&#160;&#160;(2UL &lt;&lt; <a class="el" href="../../de/d94/_mini51_series_8h.html#ab2e1b11af6a0751f2727cb100f55e96d">TIMER_TCSR_MODE_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer working in toggle mode </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00035">35</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="ga43f417c37fca79aeb734380ec3712a50" name="ga43f417c37fca79aeb734380ec3712a50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga43f417c37fca79aeb734380ec3712a50">&#9670;&nbsp;</a></span>TIMER_TOGGLE_TX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_TOGGLE_TX&#160;&#160;&#160;(0UL)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer use Tx, x = 0, 1 pin as toggle output pin <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00046">46</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
<a id="gaae21f3d9ee3a03ccebde6fdb92aa9154" name="gaae21f3d9ee3a03ccebde6fdb92aa9154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaae21f3d9ee3a03ccebde6fdb92aa9154">&#9670;&nbsp;</a></span>TIMER_TOGGLE_TXEX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER_TOGGLE_TXEX&#160;&#160;&#160;(<a class="el" href="../../de/d94/_mini51_series_8h.html#a56f7c00566d5a36fbe157436a714b816">TIMER_TCSR_TOGGLE_PIN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Timer use TxEX, x = 0, 1 pin as toggle output pin </p>

<p class="definition">Definition at line <a class="el" href="../../d5/dd0/timer_8h_source.html#l00047">47</a> of file <a class="el" href="../../d5/dd0/timer_8h_source.html">timer.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
